# Tired of waiting for a new release (1.1.2 from 2013), going with git master
%define uname ArxLibertatis
%define mainrel 0
%define gitcommit 7ed8e92caa01f973a0f9e1f8d0bf20faf67921a2
%define gitdate 20200922
%define rel 2

Name:           arx-libertatis
Version:        1.2
Release:        %mkrel %{mainrel}.%{gitdate}.%{rel}
Summary:        Cross-platform port of the GPL'ed Arx Fatalis game by Arkane Studios
Group:          Games/Adventure
License:        GPLv3
URL:            http://www.arx-libertatis.org
#Source0:        https://downloads.sourceforge.net/arx/%%{name}-%%{version}.tar.xz
Source0:        https://github.com/arx/ArxLibertatis/archive/%{gitcommit}/%{uname}-%{gitcommit}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  imagemagick
BuildRequires:  inkscape
BuildRequires:  optipng
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glm)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)
# Dependencies of the crash reporter
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
Recommends:     innoextract

%description
Arx Libertatis is a cross-platform, open source port of Arx Fatalis, a 2002
first-person role-playing game/dungeon crawler developed by Arkane Studios.

Arx Fatalis features crafting, melee and ranged combat, as well as a unique
casting system where the player draws runes in real time to effect the
desired spell.

Arx Libertatis is based on the publicly released Arx Fatalis sources and
available under the GPL 3+ license. This does however not include the game
data, so you need to obtain a copy of the original Arx Fatalis or its demo
to play Arx Libertatis. See Arx Libertatis' wiki for more information.

%prep
%autosetup -p1 -n %{uname}-%{gitcommit}

%build
%cmake \
  -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
  -DBUILD_CRASHHANDLER=ON \
  -DBUILD_CRASHREPORTER=ON \
  -DBUILD_IO_LIBRARY=OFF \
  -DBUILD_TOOLS=OFF \
  -DINSTALL_BLENDER_PLUGIN=OFF
%cmake_build

%install
%cmake_install

# Replace bundled font with symlink
pushd %{buildroot}%{_gamesdatadir}/arx/misc
rm -f dejavusansmono.ttf
ln -s %{_xfontdir}/TTF/dejavu/DejaVuSansMono.ttf dejavusansmono.ttf
popd

%files
%{_gamesbindir}/arx
%{_gamesbindir}/arx-install-data
%{_gamesdatadir}/arx/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libexecdir}/arxcrashreporter
%{_mandir}/man1/arx-install-data.1*
%{_mandir}/man6/arx.6*


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 1.2-0.20200922.2.mga8
+ Revision: 1658135
- Rebuild for new Qt5

* Mon Oct 19 2020 akien <akien> 1.2-0.20200922.1.mga8
+ Revision: 1636834
- Snapshot 20200922

* Mon Feb 24 2020 daviddavid <daviddavid> 1.2-0.20190223.2.mga8
+ Revision: 1549754
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 akien <akien> 1.2-0.20190223.1.mga7
+ Revision: 1381892
- Git snapshot (1.2-dev) from 20190223
+ umeabot <umeabot>
- Qt5 Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.1.2-12.mga7
+ Revision: 1294584
- Mageia 7 Mass Rebuild

* Sun Dec 03 2017 daviddavid <daviddavid> 1.1.2-11.mga7
+ Revision: 1180777
- rebuild for new glew 2.1.0

* Thu Aug 17 2017 sander85 <sander85> 1.1.2-10.mga7
+ Revision: 1141333
- Rebuild for new glew

* Tue Mar 22 2016 wally <wally> 1.1.2-9.mga6
+ Revision: 994120
- add patch to fix build with CMake 3.5

* Sat Feb 13 2016 umeabot <umeabot> 1.1.2-8.mga6
+ Revision: 959541
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1.1.2-7.mga6
+ Revision: 868762
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 1.1.2-6.mga6
+ Revision: 841995
- Rebuild for GLEW 1.12

* Thu Oct 30 2014 akien <akien> 1.1.2-5.mga5
+ Revision: 794708
- Recommend innoextract, it is needed to extract game data from a Windows .exe installer

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 746143
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 677910
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1.1.2-2.mga5
+ Revision: 670257
- rebuild for glew

* Mon Mar 10 2014 akien <akien> 1.1.2-1.mga5
+ Revision: 601704
- imported package arx-libertatis

